Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
paramconverter_manager service core/core.services.yml Drupal\Core\ParamConverter\ParamConverterManager
paramconverter_subscriber service core/core.services.yml Drupal\Core\EventSubscriber\ParamConverterSubscriber
paramconverter_test.info.yml file core/modules/system/tests/modules/paramconverter_test/paramconverter_test.info.yml core/modules/system/tests/modules/paramconverter_test/paramconverter_test.info.yml
paramconverter_test.routing.yml file core/modules/system/tests/modules/paramconverter_test/paramconverter_test.routing.yml core/modules/system/tests/modules/paramconverter_test/paramconverter_test.routing.yml
ParamNotConvertedException class core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php Provides an exception class for a request parameter that was not converted.
ParamNotConvertedException.php file core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php
ParamNotConvertedException::$rawParameters property core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php The raw parameters that were not converted.
ParamNotConvertedException::$routeName property core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php The route name that was not converted.
ParamNotConvertedException::getRawParameters function core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php Get the raw parameters that were not converted.
ParamNotConvertedException::getRouteName function core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php Get the route name that was not converted.
ParamNotConvertedException::__construct function core/lib/Drupal/Core/ParamConverter/ParamNotConvertedException.php Constructs the ParamNotConvertedException.
ParserInterface interface core/modules/aggregator/src/Plugin/ParserInterface.php Defines an interface for aggregator parser implementations.
ParserInterface.php file core/modules/aggregator/src/Plugin/ParserInterface.php
ParserInterface::parse function core/modules/aggregator/src/Plugin/ParserInterface.php Parses feed data.
password service core/modules/user/tests/modules/user_custom_phpass_params_test/user_custom_phpass_params_test.services.yml Drupal\Core\Password\PhpassHashedPassword
password service core/core.services.yml Drupal\Core\Password\PhpassHashedPassword
Password class core/lib/Drupal/Core/Render/Element/Password.php Provides a form element for entering a password, with hidden text.
password-hash.sh file core/scripts/password-hash.sh Drupal hash script - to generate a hash from a plaintext password
password-suggestions.css file core/themes/bartik/css/components/password-suggestions.css Styles for password suggestions in Bartik.
Password.php file core/lib/Drupal/Core/Render/Element/Password.php
Password::getInfo function core/lib/Drupal/Core/Render/Element/Password.php Returns the element properties for this element.
Password::preRenderPassword function core/lib/Drupal/Core/Render/Element/Password.php Prepares a #type 'password' render element for input.html.twig.
Password::valueCallback function core/lib/Drupal/Core/Render/Element/Password.php Determines how user input is mapped to an element's #value property.
PasswordConfirm class core/lib/Drupal/Core/Render/Element/PasswordConfirm.php Provides a form element for double-input of passwords.
PasswordConfirm.php file core/lib/Drupal/Core/Render/Element/PasswordConfirm.php
PasswordConfirm::getInfo function core/lib/Drupal/Core/Render/Element/PasswordConfirm.php Returns the element properties for this element.
PasswordConfirm::processPasswordConfirm function core/lib/Drupal/Core/Render/Element/PasswordConfirm.php Expand a password_confirm field into two text boxes.
PasswordConfirm::validatePasswordConfirm function core/lib/Drupal/Core/Render/Element/PasswordConfirm.php Validates a password_confirm element.
PasswordConfirm::valueCallback function core/lib/Drupal/Core/Render/Element/PasswordConfirm.php Determines how user input is mapped to an element's #value property.
PasswordConfirmTest class core/tests/Drupal/Tests/Core/Render/Element/PasswordConfirmTest.php @coversDefaultClass \Drupal\Core\Render\Element\PasswordConfirm[[api-linebreak]]
@group Render
PasswordConfirmTest.php file core/tests/Drupal/Tests/Core/Render/Element/PasswordConfirmTest.php
PasswordConfirmTest::providerTestValueCallback function core/tests/Drupal/Tests/Core/Render/Element/PasswordConfirmTest.php Data provider for testValueCallback().
PasswordConfirmTest::testValueCallback function core/tests/Drupal/Tests/Core/Render/Element/PasswordConfirmTest.php @covers ::valueCallback[[api-linebreak]]
PasswordConfirmWidgetTest class core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php Tests the JS components added to the PasswordConfirm render element.
PasswordConfirmWidgetTest.php file core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php
PasswordConfirmWidgetTest::$assert property core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php WebAssert object.
PasswordConfirmWidgetTest::$defaultTheme property core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php The theme to install as the default for testing.
PasswordConfirmWidgetTest::$testUser property core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php User for testing.
PasswordConfirmWidgetTest::setUp function core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php
PasswordConfirmWidgetTest::testFillConfirmOnly function core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php Tests the password confirm widget so that only confirm input is filled.
PasswordConfirmWidgetTest::testPasswordConfirmMessage function core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php Ensures that password match message is visible when widget is initialized.
PasswordConfirmWidgetTest::testPasswordConfirmWidgetJsComponents function core/modules/user/tests/src/FunctionalJavascript/PasswordConfirmWidgetTest.php Tests the components added to the password confirm widget.
PasswordGeneratorInterface interface core/lib/Drupal/Core/Password/PasswordGeneratorInterface.php Interface for generating passwords.
PasswordGeneratorInterface.php file core/lib/Drupal/Core/Password/PasswordGeneratorInterface.php
PasswordGeneratorInterface::generate function core/lib/Drupal/Core/Password/PasswordGeneratorInterface.php Generates a password.
PasswordHashingTest class core/tests/Drupal/Tests/Core/Password/PasswordHashingTest.php Unit tests for password hashing API.
PasswordHashingTest.php file core/tests/Drupal/Tests/Core/Password/PasswordHashingTest.php Contains \Drupal\Tests\Core\Password\PasswordHashingTest.
PasswordHashingTest::$hashedPassword property core/tests/Drupal/Tests/Core/Password/PasswordHashingTest.php The hashed password.
PasswordHashingTest::$md5HashedPassword property core/tests/Drupal/Tests/Core/Password/PasswordHashingTest.php The md5 password.
PasswordHashingTest::$password property core/tests/Drupal/Tests/Core/Password/PasswordHashingTest.php The raw password.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.